Bug 1004702 - Tidy up the Knowledge Base Settings part of the Project screen
Tidy up the Knowledge Base Settings part of the Project screen
Status: ASSIGNED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity low
: ER4
: 6.1.0
Assigned To: Toni Rikkola
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 05:48 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
knowledge base settings page (45.16 KB, image/png)
2013-09-05 05:48 EDT, Zuzana Krejčová
no flags Details
Desing from an usability expert (88.79 KB, image/png)
2013-09-23 06:09 EDT, Toni Rikkola
no flags Details
editor in 6.1 ER5 (32.93 KB, image/png)
2015-03-02 08:03 EST, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-09-05 05:48:47 EDT
Created attachment 794145 [details]
knowledge base settings page

Description of problem:
As the screenshot shows - this part of the GUI still needs a bit of work.

The components should be aligned, all their parts visible in them..

The bits with Knowledge Base operations should have some king of label/header saying that's what it is for. Something either like ksessions or packages list.

Ideally, the (default) width of the kbase list would be the same as the buttons div element above it, same with the ksessions list. The packages list and header should be aligned. 
Packages, equality behaviour and event processing mode settings should be aligned to kbases list, to clearly show they belong to that part.
Ksessions settings are more of the same. the clock settings don't make it clear what they belong to, the 'Name' header above them seems to have no purpose.

The radio buttons for equality behaviour and event processing mode settings right now react to clicking on their label line, which unfortunately spans the rest of the page to the right. So you think you just click an empty space on the page and in fact, you change your kbase settings.

I'd recommend having someone design it first before doing the implementation.
Comment 1 Prakash Aradhya 2013-09-16 22:06:52 EDT
Internal Whiteboard: Beta Blocker → Blocker
Not critical for Beta, but need to address for GA
Comment 2 Toni Rikkola 2013-09-23 06:09:12 EDT
Created attachment 801561 [details]
Desing from an usability expert
Comment 7 Toni Rikkola 2014-06-23 09:49:09 EDT
uberfire master:
https://github.com/uberfire/uberfire/commit/d01ff44c3
Comment 10 Zuzana Krejčová 2015-03-02 08:03:47 EST
Created attachment 997075 [details]
editor in 6.1 ER5
Comment 11 Zuzana Krejčová 2015-03-02 08:07:19 EST
As can be seen in the screenshot, not much changed. Yes, the ksessions table improved (although the table unfortunately doesn't fit in the page). The rest of the editor still needs some work. It doesn't match the proposed design. The radio buttons behavior is still an issue.
Comment 12 Zuzana Krejčová 2015-12-08 09:57:37 EST
This still needs some work (6.2).

Note You need to log in before you can comment on or make changes to this bug.